summaryrefslogtreecommitdiff
path: root/meta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init
diff options
context:
space:
mode:
authorBrad Bishop <bradleyb@fuzziesquirrel.com>2019-05-21 15:07:33 +0300
committerBrad Bishop <bradleyb@fuzziesquirrel.com>2019-05-21 15:07:37 +0300
commitba6de43c25453413491a8bac2d6f7f7011c9b326 (patch)
tree566a4990318c50f8b73e7cf43012eb1705e82d09 /meta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init
parent0e04b2e9b4857f65a89e16d3c14e16166b2cd8ea (diff)
downloadopenbmc-ba6de43c25453413491a8bac2d6f7f7011c9b326.tar.xz
meta-openembedded: subtree update:1ecd8b4364..f3018013ff
Adrian Bunk (1): Add irda-utils Khem Raj (1): openocd: Upgrade to latest git version Martin Jansa (8): gtkwave: add distro_features_check ndctl: make MACHINE_ARCH and ignore from libblockdev oprofile: make MACHINE_ARCH umip: make MACHINE_ARCH mscgen: fix SRC_URI for multilib python-cassandra-driver.inc: fix DEPENDS triggerhappy: fix issues opencv: use the same package name in PACKAGES and RDEPENDS Oleksandr Kravchuk (4): znc: update to 1.7.3 pure-ftpd: update to 1.0.47 xl2tpd: update to 1.3.14 ell: remove recipe Scott Ellis (1): wireguard: Upgrade 20190123 -> 20190406 Tom Rini (1): toybox: Re-order inherit location so we can override do_configure Zang Ruochen (8): python-pyparsing: upgrade 2.2.0 -> 2.4.0 python-six: upgrade 1.11.0 -> 1.12.0 python-typing: upgrade 3.6.4 -> 3.6.6 python-urllib3: upgrade 1.23 -> 1.25.2 python-wrapt: upgrade 1.10.11 -> 1.11.1 python-mako:upgrade 1.0.9 -> 1.0.10 python-pip: upgrade 19.1 -> 19.1.1 python-pysocks: upgrade 1.6.8 -> 1.7.0 Change-Id: I9a4d8fb60195b1cfd0f39cebf8b113b3bb63808d Signed-off-by: Brad Bishop <bradleyb@fuzziesquirrel.com>
Diffstat (limited to 'meta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init')
-rwxr-xr-xmeta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init78
1 files changed, 78 insertions, 0 deletions
diff --git a/meta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init b/meta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init
new file mode 100755
index 000000000..6f29e9c6e
--- /dev/null
+++ b/meta-openembedded/meta-oe/recipes-bsp/irda-utils/irda-utils-0.9.18/init
@@ -0,0 +1,78 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: irda
+# Required-Start: $network $remote_fs
+# Required-Stop: $network $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Infrared port support
+### END INIT INFO
+
+NAME="irattach"
+test -x "$IRDA_DAEMON" || IRDA_DAEMON=/usr/sbin/irattach
+test -z "$IRATTACH_PID" && IRATTACH_PID=/var/run/irattach.pid
+
+# Source function library.
+. /etc/init.d/functions
+
+module_id() {
+ awk 'BEGIN { FS=": " } /Hardware/ { print $2 } ' </proc/cpuinfo
+}
+
+if [ ! -f /etc/sysconfig/irda ]; then
+ case `module_id` in
+ "HP iPAQ H2200" | "HP iPAQ HX4700" | "HTC Universal")
+ IRDA=yes
+ DEVICE=/dev/ttyS2
+ DONGLE=
+ DISCOVERY=
+ ;;
+ *)
+ IRDA=yes
+ DEVICE=/dev/ttyS1
+ DONGLE=
+ DISCOVERY=
+ ;;
+ esac
+else
+ . /etc/sysconfig/irda
+fi
+
+# Check that irda is up.
+[ ${IRDA} = "no" ] && exit 0
+
+[ -f /usr/sbin/irattach ] || exit 0
+
+ARGS=
+if [ $DONGLE ]; then
+ ARGS="$ARGS -d $DONGLE"
+fi
+if [ "$DISCOVERY" = "yes" ];then
+ ARGS="$ARGS -s"
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting IrDA: $NAME"
+ start-stop-daemon --start --quiet --exec "$IRDA_DAEMON" ${DEVICE} ${ARGS} --pidfile "$IRATTACH_PID"
+ sleep 1
+ [ -f /var/run/irattach.pid ] && echo " done" || echo " fail"
+ ;;
+ stop)
+ echo "Stopping IrDA: $NAME"
+ start-stop-daemon --stop --quiet --exec "$IRDA_DAEMON" --pidfile "$IRATTACH_PID"
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ status)
+ status irattach
+ exit $?
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac